|  | Home · All Classes · Modules

# QHelpSearchQuery Class Reference
[QtHelp module]

The QHelpSearchQuery class contains the field name and the associated search term More...

### Types

- enum FieldName { DEFAULT, FUZZY, WITHOUT, PHRASE, ALL, ATLEAST }

### Methods

- __init__ (self)
- __init__ (self, FieldName, QStringList)
- __init__ (self, QHelpSearchQuery)

## Detailed Description

The QHelpSearchQuery class contains the field name and the associated search term

The QHelpSearchQuery class contains the field name and the associated search term. Depending on the field the search term might get split up into seperate terms to be parsed differently by the search engine.

See also QHelpSearchQueryWidget.

## Type Documentation

### QHelpSearchQuery.FieldName

This enum type specifies the field names that are handled by the search engine.

Constant | Value | Description
--- | --- | ---
`QHelpSearchQuery.DEFAULT` | `0` | the default field provided by the search widget, several terms should be split and stored in the word list except search terms enclosed in quotes.
`QHelpSearchQuery.FUZZY` | `1` | a field only provided in use with clucene. Terms should be split in seperate words and passed to the search engine.
`QHelpSearchQuery.WITHOUT` | `2` | a field only provided in use with clucene. Terms should be split in seperate words and passed to the search engine.
`QHelpSearchQuery.PHRASE` | `3` | a field only provided in use with clucene. Terms should not be split in seperate words.
`QHelpSearchQuery.ALL` | `4` | a field only provided in use with clucene. Terms should be split in seperate words and passed to the search engine
`QHelpSearchQuery.ATLEAST` | `5` | a field only provided in use with clucene. Terms should be split in seperate words and passed to the search engine

## Method Documentation

### QHelpSearchQuery.__init__ (self)

Constructs a new empty QHelpSearchQuery.

### QHelpSearchQuery.__init__ (self, FieldName, QStringList)

Constructs a new QHelpSearchQuery and initializes it with the given field and wordList.

### QHelpSearchQuery.__init__ (self, QHelpSearchQuery)